<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcPortal Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcPortal Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcPortal" --><!-- doxytag: inherits="iBase" -->
<p>This is a property class holding the representation of a portal.  
 <a href="structiPcPortal.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="portal_8h_source.html">propclass/portal.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcPortal:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcPortal.png" usemap="#iPcPortal_map" alt=""/>
  <map id="iPcPortal_map" name="iPcPortal_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,63,24"/>
</map>
 </div></div>

<p><a href="structiPcPortal-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcPortal.html#a99d8ba5bd36c6fe017c52cffa02bd706">ClosePortal</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Close portal.  <a href="#a99d8ba5bd36c6fe017c52cffa02bd706"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiPortal.html">iPortal</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcPortal.html#a5470403d050a98c08a95f7a123e5bf55">GetPortal</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the portal.  <a href="#a5470403d050a98c08a95f7a123e5bf55"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcPortal.html#a7d4fb88a01ef236af2d131e59837bfe9">IsPortalClosed</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Is the portal closed?  <a href="#a7d4fb88a01ef236af2d131e59837bfe9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcPortal.html#acc591b09265925de2f45b8135bb88593">OpenPortal</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Open portal.  <a href="#acc591b09265925de2f45b8135bb88593"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcPortal.html#afa7898133c459d12e5dc343b6cd00a94">SetPortal</a> (const char *mesh, const char *portal=0)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the portal to use.  <a href="#afa7898133c459d12e5dc343b6cd00a94"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is a property class holding the representation of a portal. </p>
<p>This is mainly useful in cases where you want to close a portal for performance reasons. Closing a portal can be useful in case you have a door that closes off the portal and it doesn't make sense to use the portal anyway.</p>
<p>This property class supports the following properties:</p>
<ul>
<li>mesh (string, read/write): the name of the portal mesh.</li>
<li>portal (string, read/write): the name of the portal.</li>
<li>closed (bool, read/write): if the portal is closed or not. </li>
</ul>

<p>Definition at line <a class="el" href="portal_8h_source.html#l00040">40</a> of file <a class="el" href="portal_8h_source.html">portal.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a99d8ba5bd36c6fe017c52cffa02bd706"></a><!-- doxytag: member="iPcPortal::ClosePortal" ref="a99d8ba5bd36c6fe017c52cffa02bd706" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcPortal.html#a99d8ba5bd36c6fe017c52cffa02bd706">iPcPortal::ClosePortal</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Close portal. </p>

</div>
</div>
<a class="anchor" id="a5470403d050a98c08a95f7a123e5bf55"></a><!-- doxytag: member="iPcPortal::GetPortal" ref="a5470403d050a98c08a95f7a123e5bf55" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiPortal.html">iPortal</a>* <a class="el" href="structiPcPortal.html#a5470403d050a98c08a95f7a123e5bf55">iPcPortal::GetPortal</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the portal. </p>

</div>
</div>
<a class="anchor" id="a7d4fb88a01ef236af2d131e59837bfe9"></a><!-- doxytag: member="iPcPortal::IsPortalClosed" ref="a7d4fb88a01ef236af2d131e59837bfe9" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcPortal.html#a7d4fb88a01ef236af2d131e59837bfe9">iPcPortal::IsPortalClosed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Is the portal closed? </p>

</div>
</div>
<a class="anchor" id="acc591b09265925de2f45b8135bb88593"></a><!-- doxytag: member="iPcPortal::OpenPortal" ref="acc591b09265925de2f45b8135bb88593" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcPortal.html#acc591b09265925de2f45b8135bb88593">iPcPortal::OpenPortal</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Open portal. </p>

</div>
</div>
<a class="anchor" id="afa7898133c459d12e5dc343b6cd00a94"></a><!-- doxytag: member="iPcPortal::SetPortal" ref="afa7898133c459d12e5dc343b6cd00a94" args="(const char *mesh, const char *portal=0)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcPortal.html#afa7898133c459d12e5dc343b6cd00a94">iPcPortal::SetPortal</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>mesh</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>portal</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the portal to use. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">mesh</td><td>is the name of the portal mesh. </td></tr>
    <tr><td class="paramname">portal</td><td>is the optional name of the portal. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="portal_8h_source.html">portal.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
